include:
  - project: el-capitano/tools/ci-cd-templates
    ref: v4.13.1
    file:
      - '/pipelines/compliance/compliance.yml'
      - '/templates/terraform/base-jobs/base-jobs.yml'

image: registry.gitlab.com/el-capitano/tools/ci-cd-templates/tfenv:latest

stages:
  - verify
  - test
  - trigger


tf/format:
  stage: verify
  extends: .tf/format # See includes
  rules:
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
      changes:
        - '**/*.tf'

">>":
  stage: trigger
  inherit:
    variables: false
  variables:
    ECG_PIPELINES_TERRAFORM_ENVIRONMENT_NAME: Review Apps
    ECG_PIPELINES_TERRAFORM_AUTO_APPLY: 'true'
  trigger:
    include:
      - project: 'el-capitano/tools/ci-cd-templates'
        ref: 'v4.13.1'
        file: '/pipelines/terraform/terraform.yml'
    strategy: depend
  rules:
    # Run on Merge Requests and main branch
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event" || $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
